'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-fcc3759d.js');

/*
 Stencil Client Patch Esm v2.3.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return index.bootstrapLazy([["syntax-highlighter.cjs",[[4,"syntax-highlighter",{"content":[1537],"theme":[1537],"language":[1537],"copyButtonLabel":[1537,"copy-button-label"]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
