import { p as promiseResolve, b as bootstrapLazy } from './index-ce823a59.js';

/*
 Stencil Client Patch Esm v2.3.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["syntax-highlighter",[[4,"syntax-highlighter",{"content":[1537],"theme":[1537],"language":[1537],"copyButtonLabel":[1537,"copy-button-label"]}]]]], options);
  });
};

export { defineCustomElements };
